@import "variables";
@import url('https://fonts.googleapis.com/css?family=Lato&display=swap');
@import url('https://fonts.googleapis.com/css?family=Raleway&display=swap');
@font-face {
    font-family: museo700;
    src: url(../font/Museo700-Regular.otf);
}
@font-face {
    font-family: museo300;
    src: url(../font/Museo300.otf);
}
*{
    font-family: 'Lato', sans-serif;
}

// nav area
nav{
    padding:0 5%;
    transition: all 300ms ease;

    .brand-logo{
        width: 10vw;
        height: 3.3vw;
        object-fit: contain;
    }
    .first-child-nav{
        padding:0 .7vw;

        .menu-item{
            color: #181717 !important;
            font-size: 0.9vw !important;
            font-family: museo300 !important;
            text-transform: capitalize !important;
        
            img{
                margin-left: 16px;
            }
        }

        .uk-navbar-dropdown {
            padding:0;
            top: 50px !important;

            .child-nav{
                padding: 16px;
                background-color: white;
                a{
                    color: black !important; 
                }
            }
            .child-nav:hover{
                background-color: #00264B;
                a{
                    color: white !important; 
                }
            }
        }
    }
    .info-btn{
        border:1px solid #8F762D;
        font-size: 0.8vw;
        padding: 0 20px;
        text-transform: uppercase;
        font-family: 'Raleway', sans-serif;
        color: #00264B;
        img{
            margin-right: 10px;
        }
    }
    .search-nav-box{
        width: 0;
        opacity: 0;
        transition: all 300ms ease;
        input{
            width: 100%;
            height: 40px;
            border:1px solid #8F762D;
            padding:0 16px; 
        }
    }
    .nav-search{
        border-radius:200px;
        border:1px solid #8F762D;
        width: 40px;
        height: 40px;
        cursor: pointer;    
    } 
}
.uk-navbar-sticky{
    background-color: white !important;
    transition: 300ms all ease;
}

// jumbotron area
.jumbotron{
    .jumbo-img{
        width: 100%;
        height: 107vh;
        object-fit: cover;
        object-position: 0 0;
        filter: opacity(0.5);
        pointer-events: none;
    }
    .jumbo-wrapper{
        width: 58%;
        .jumbo-title{
            font-size: 3.4vw;
            color: #00264B;
            text-align: center;
            line-height: 3.4vw;
            font-family: museo700;
        }
        .jumbo-desc{
            font-size: 0.9vw;
            width: 80%;
            line-height: 1.3vw;
            text-align: center;
            color: #313131;
        }
        .play-box{
            background-color: rgba(0, 38, 75, .3);
            border-radius:200px;
            width: 5.8vw;
            height: 5.8vw;
            cursor: pointer;
        }
    }
}

// container master area

.container{
    display: grid;
    grid-template-columns: 1fr;
    min-height: calc(100vh - 100px - 29.2px);
    position: relative;
}

// component global

.socmed-sticky{
    position: fixed;
    right: -185px;
    top: 50%;
    transform: translateY(-50%) rotate(270deg);
    z-index: 99;
    pointer-events: none;
    .socmed-sticky-box{
        margin-right: 37px;
        .fb{
            transform: rotate(90deg);
        }
        .item-socmed-sticky{
            margin-right: 12px;
        }
    }
}

button{
    font-weight: bold !important;
}

.title-section{
    margin-bottom: 0;
    color: #8F762D;
    font-size: 2.6vw;
    font-family: museo700;
    line-height: 2.5vw;
    text-transform: capitalize;
    span{
        color: #303030;
    }
}

.question-box{
    padding:5.5vw 10%;
    display: grid;
    grid-template-columns: 1fr;
    background-color: #00264B;
    justify-items: center;
    position: relative;

    h2{
        color: white;
        font-size: 2.1vw;
    }
    button{
        background-color: #8F762D;
        color: white;
        width: 15.6vw;
        height: 3.2vw;
        text-transform: capitalize;
        font-size: 1.1vw;
        img{
            margin-left: 0.9vw;
        }
    }
    button:hover{
        background-color: white;
        border:1px solid #8F762D;
        color: #8F762D;
    }
    .bg{
        @extend %bg-opacity-image;
    }
}

.footer{
    background-color: #8F762D;
    padding:0.5vw;
    p{
        color:white;
        font-size: 0.8vw;
        margin:0;
    }
}

// modal

#get-info{
    .box{
        padding:0 10%;
        height: calc(100vh - 132px);
        .form-box{
            width: 100%;
            h1{
                text-align: center;
                margin-bottom: 3.5vw;
                font-size: 2.6vw;
            }
            form{
                display: grid;
                grid-template-columns: 1fr 1fr;
                grid-template-areas:
                "first-name last-name"
                "phone email"
                "textarea textarea"
                "close-btn send-btn";
                grid-gap: 2.5vw;
                input, textarea{
                    padding:0.8vw 1.5vw;
                    font-size: 1.1vw;
                }
                .first-name{
                    grid-area: first-name;
                }
                .last-name{
                    grid-area: last-name;
                }
                .phone{
                    grid-area: phone;
                }
                .email{
                    grid-area: email;
                }
                .textarea{
                    grid-area: textarea;
                }
                .detail-box{
                    grid-area: detail;
                    display: grid;
                    grid-template-columns: 1fr 1fr;
                    grid-column-gap: 1.9vw;
                    p{
                        margin:0;
                        font-size: 0.8vw;
                    }
                }
                .close-btn{
                    grid-area: close-btn;
                    position: relative !important;
                    top: unset !important;
                    padding: 0 30px !important;
                    @extend %button-outline;
                }
                .close-btn:hover{
                    @extend %button-solid-blue;
                }
                .send-btn{
                    grid-area: send-btn;
                    justify-self: start;
                    @extend %button-solid-blue;
                }
                .send-btn:hover{
                    @extend %button-outline;
                }
                button{
                    justify-self: end;
                }
            }
        }
    }
}

#contact-us{
    .map-box{
        position: relative;
        width: 100%;
        height: 27.6vw;
        // .mapouter{
        //     height: 100%;
        //     position: absolute;
        //     top: -3vw;
        //     left: 50%;
        //     transform: translateX(-50%);
        //     width: 80%;
        //     object-fit: cover;
        //     text-align:right;
        //     .gmap_canvas{
        //         width: 100%;
        //         height: 100%;
        //         overflow:hidden;
        //         background:none!important;
        //     }
        //     .map{
        //         width: 100%;
        //         height: 100%;
        //     }
        // }
    } 
    
    .form-box{
        padding:0 10%;
        padding-bottom: 3vw;
        form{
            display: grid;
            grid-template-columns: 1fr 1fr;
            grid-template-areas:
            "first-name last-name"
            "phone email"
            "textarea textarea"
            "detail send";
            grid-gap: 2.5vw;
            input, textarea{
                padding:0.8vw 1.5vw;
                font-size: 1.1vw;
                border:1px solid #ACACAC;
            }
            input::placeholder, .textarea::placeholder{
                color:#BBBBBB;
            }
            .first-name{
                grid-area: first-name;
            }
            .last-name{
                grid-area: last-name;
            }
            .phone{
                grid-area: phone;
            }
            .email{
                grid-area: email;
            }
            .textarea{
                grid-area: textarea;
            }
            .detail-box{
                grid-area: detail;
                display: grid;
                grid-template-columns: 1fr 1fr;
                grid-column-gap: 1.9vw;
                p{
                    margin:0;
                    font-size: 0.8vw;
                }
            }
            button{
                grid-area:send;
                justify-self: end;
                @extend %button-solid-blue;
            }
            button:hover{
                @extend %button-outline;
            }
        }
    }
}